Index: WAeUP_SRP/base/skins/waeup_student/application_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/application_view.pt	(revision 2664)
+++ WAeUP_SRP/base/skins/waeup_student/application_view.pt	(revision 2670)
@@ -7,13 +7,5 @@
       <span tal:condition="info">
             
-        <div style="text-align: right" tal:define="review_state info/review_state"
-             tal:condition="python:review_state not in ('created','application_pin_entered',)">
-        <a href="" target="slip" tal:attributes="href string:application_slip"
-            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-            <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-            Application Slip
-        </a>
-        
-          </div>
+
         <a href=""
            tal:attributes="href string:${here/academicsParent}">
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2664)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission.py	(revision 2670)
@@ -68,5 +68,5 @@
         if not object['passport']:
                 object['passport'] = ''
-        if object['status'] and ('submitted' in object['status'] or 'admitted' in object['status']):
+        if object['status'] and ('submitted' in object['status'] or 'admitted' in object['status'] or 'created' in object['status']):
             submitted = True
 
Index: WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2664)
+++ WAeUP_SRP/base/skins/waeup_student/apply_admission_form.pt	(revision 2670)
@@ -73,5 +73,5 @@
           <metal:block tal:condition="python:info['status'] == 'created'">
               <br />
-                <strong>You that you have been provisionally admitted into University of Benin. Your member record has been created. 
+                <strong>You have been provisionally admitted into University of Benin. Your member record has been created. 
                         Please purchase a second Application Scratch Card and proceed to 'Check Admission'.</strong>
               <br />  <br />  
Index: WAeUP_SRP/base/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/clearance_edit.py	(revision 2664)
+++ WAeUP_SRP/base/skins/waeup_student/clearance_edit.py	(revision 2670)
@@ -74,6 +74,15 @@
     #from Products.zdb import set_trace
     #set_trace()
-    info['clear_doc'].edit(mapping = {'cleared_date': current,})
+    clear_doc.edit(mapping = {'cleared_date': current,})
     wftool.doActionFor(info['student'],'clear_and_validate')
+    
+    if info['per_review_state'] != 'opened':
+        wftool.doActionFor(info['per'],'open')
+    
+    per_doc = info['per'].getContent()
+    per_doc.edit(mapping = {'firstname': clear_doc.firstname, 'middlename': clear_doc.middlename, 'lastname': clear_doc.lastname,})
+    
+    
+    
     psm = "Clearance and eligibility record is validated and student is cleared!"
 elif clear_and_validate_button and info['review_state'] == "cleared_and_validated":
@@ -103,10 +112,13 @@
             req_found = [scan for scan in required_scans if scan in files]
             birth_found = "age_dec" in files or "birth_certificate" in files
-            if not req_found or not birth_found:
-                logger.info('%s requested clearance with documents missing' % (student_id))
-                psm = "You have not uploaded all necessary documents to request clearance!"
+            #if not req_found or not birth_found:
+            #    logger.info('%s requested clearance with documents missing' % (student_id))
+            #    psm = "You have not uploaded all necessary documents to request clearance!"
+            if not clear_doc.firstname or not clear_doc.lastname:
+                logger.info('%s requested clearance without confirming name' % (student_id))
+                psm = "Please fill the name fields! First and last name are required. "            
             else:
                 logger.info('%s requested clearance' % (student_id))
-                info['clear_doc'].edit(mapping = {'request_date': current,})
+                clear_doc.edit(mapping = {'request_date': current,})
                 wftool.doActionFor(info['clear'],'close')
                 wftool.doActionFor(info['student'],'request_clearance',dest_container=1)
Index: WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py	(revision 2664)
+++ WAeUP_SRP/base/skins/waeup_student/getClearanceInfo.py	(revision 2670)
@@ -53,4 +53,6 @@
 info['clear_doc'] = student.clearance.getContent()
 info['clear_review_state'] = wf.getInfoFor(student.clearance,'review_state',None)
+info['per'] = student.personal
+info['per_review_state'] = wf.getInfoFor(student.personal,'review_state',None)
 if info['review_state'] in ('clearance_requested', 'cleared_and_validated',):
     info['penalty'] = info['penalty'] and\
